#include <stdio.h>
#include <math.h>
#include <sys/time.h>

int main(void)
{
   /* initialisation des variables */
   double somme=1.0;
   int i=1;
   double epsilon=1e-15;
   double terme=1.0,coeff;
   double x=2;

   /* variables pour le chronomtrage */
   struct timeval tv1,tv2;
   struct timezone tz;
   long long diff;
      
   /* dbut du chromontrage */
   gettimeofday(&tv1, &tz);
	 
   /* debut de la boucle de calcul */
   do{
      coeff = x / i;
	  terme = terme * coeff;
	  somme += terme;
	  printf("terme : %e\tcoeff : %e\tsomme : %lf\n",terme, coeff,somme);
      i++;}
   while(fabs(terme)>epsilon);
  
   /* fin du chronomtrage */
   gettimeofday(&tv2, &tz); 
    
   printf("Valeur calcule par le programme : exp(2) = %e\n" , somme);
   printf("                 Valeur attendue : exp(2) = %e\n" , exp(2.0));
   
   /* affichage du temps coul */
   diff=(tv2.tv_sec-tv1.tv_sec) * 1000000L + (tv2.tv_usec-tv1.tv_usec);  
   printf("temps de calcul = %d usec\n",diff);
}
