#include <stdio.h>
#include <gsl/gsl_vector.h>

int main(void)
{
  int i;
  gsl_vector_long_double *u;
  gsl_vector_long_double *v;
  printf("Adresse du pointeur : %0X\n",u);
  printf("Adresse du pointeur : %0X\n",v);

  /* initialisation du pointeur */
  v = gsl_vector_long_double_calloc(10);
  for(i=0;i<10;i++){
    gsl_vector_long_double_set(v,i,i/10.0);}

  /* affichage des valeurs */
  printf("Adresse\tValeur\n");
  printf("-------\t------\n");

  for(i=0;i<10;i++){
    printf("%0X\tv[%d] = %.2Lf\n",gsl_vector_long_double_ptr(v,i),i,gsl_vector_long_double_get(v,i));}

  /* liberation de la memoire */
  gsl_vector_long_double_free(v);
}
